Ticket #42769

'which' command is deprecated

Open Date: 2021-08-26 07:26 Last Update: 2021-09-09 22:43

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Scripts should use 'command -v' instead of 'which' now (starting from next Debian release, bookworm) as latter is deprecated. We have several shell scripts that will need updating.

Ticket History (3/7 Histories)

2021-08-26 07:26 Updated by: cazfi
  • New Ticket "'which' command is deprecated" created
2021-08-31 11:02 Updated by: cazfi
  • Milestone Update from (None) to 2.6.6
2021-08-31 11:49 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-09-05 13:39 Updated by: cazfi
Comment

- New patch version for S3_0, S3_1, and master, that also updates data/flags/convert_png. Old copy of the script is not updated, and that's the only copy that exist in S2_6

2021-09-09 22:43 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login